package org.jeecg.sy

import org.apache.spark.sql.{DataFrame, SparkSession}

object Test {
  def getString(): String = {
    // 本地模式
    val spark = SparkSession.builder()
      .appName("SparkDemo")
      .master("local")
      .getOrCreate()
    // 输出spark的版本信息
    // 去除所有日志
    spark.sparkContext.setLogLevel("WARN")
    println("-----------------------\n\n\n\n\n\n")
    // 产生是十个随机的数
    val data = 1 to 10
    // 生成RDD
    val distData = spark.sparkContext.parallelize(data)
    // 求出数字出现的次数
    val counts = distData.map(n => (n, 1)).reduceByKey(_ + _)
    // 打印结果
    counts.collect().foreach(println)
    println("\n\n\n\n\n\n-----------------------")
    // 返回一个文字66
    return "66"
  }
}
